# Interface InterfaceType

All Superinterfaces:
  `DeclaredType, ReferenceType, TypeMirror`

All Known Subinterfaces:
  `AnnotationType`

public interface InterfaceType extends DeclaredType
Represents an interface type. Note that an annotation type is a kind of interface.

While an `InterfaceDeclaration` represents the declaration of an interface, an `InterfaceType` represents an interface type. See `TypeDeclaration` for more on this distinction.

Since:
  1.5
Version:
  1.1 04/01/26
Author:
  Joseph D. Darcy, Scott Seligman

## Method Summary

Modifier and Type
Method
Description
`InterfaceDeclaration`
`getDeclaration()`
Returns the declaration of this type.

### Methods inherited from interface DeclaredType

`getActualTypeArguments, getContainingType, getSuperinterfaces`

### Methods inherited from interface TypeMirror

`accept, equals, toString`

## Method Details

### getDeclaration

InterfaceDeclaration getDeclaration()
Returns the declaration of this type.

Returns null if this type's declaration is unknown. This may be the result of a processing error, such as a missing class file.

Specified by:
  `getDeclaration` in interface `DeclaredType`
Returns:
  the declaration of this type, or null if unknown